Subject: [Shop-talk] Foam customization on modern seats?

From: Jim Franklin <[email-masked]>
Date: Fri, 16 Jun 2023 12:51:01 -0400

I have a CX-5 whose seats feel like inflatable pool rafts. The most roly poly lack of support I've ever experienced, makes my 70s bench seats feel like Recaro buckets in comparison. 

Has anyone had experience with finding/using a shop that can handle modern seats? Googling gets me lots of hot rod reupholsters, but other than calling and taking their word for it, I don't see any "we're US Airbag Association certified repair shop" etc. 

thanks,
jim
_______________________________________________

[email-masked]
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive